Bug 698351 - Authorization dialog sent to wrong X11 display when using VNC
Authorization dialog sent to wrong X11 display when using VNC
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-04-20 13:36 EDT by RogerOdle
Modified: 2013-03-05 23:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 11:53:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description RogerOdle 2011-04-20 13:36:57 EDT
Description of problem:
Authorization dialog pops up on wrong X11 display when attempting to remotely administer Fedora 15 host through VNC session.

Version-Release number of selected component (if applicable):

Fedora 15 beta
system-config-services              0.99.47-2.fc15
gtk-vnc2.x86_64                     0.4.3-1.fc15                @fedora         
libvncserver.x86_64                 0.9.7-5.fc15                @fedora         
tigervnc.x86_64                     1.0.90-3.fc15               @updates-testing
x11vnc.x86_64                       0.9.12-18.fc15              @fedora      

How reproducible:
Every time

Steps to Reproduce:
1. Login to Fedora 15 host so you have an active local X11 display.
2. Login to Fedora 15 host remotely via VNC
3. Launch system-config-services tool.
4. Attempt to enable/disable a service.
Actual results:
remote host appears to lock up.
authorization dialog (for regular user with administrative authority, not root) appears on the local display.  Entering the password releases the services menu on the remote display.

Expected results:
The authorization dialog should have appeared on the same X11 display that system-config-services is using.

Additional info:
Comment 1 Nils Philippsen 2011-04-21 06:55:23 EDT
The dialog is displayed by an authentication agent of the desktop, initiated by polkitd on behalf of the application. How polkitd decides which authentication agent to contact, i.e. the one on the local desktop or the other on the VNC desktop (if one is running there at all), I can't say. Changing component to polkit for further examination.
Comment 2 Fedora End Of Life 2012-08-07 11:53:08 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.